# Uses of Interface
org.opensaml.xmlsec.encryption.PgenCounter

Packages that use PgenCounter
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of PgenCounter in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return PgenCounter
Modifier and Type
Method
Description
`PgenCounter`
DHKeyValue.`getPgenCounter()`
Get the pgenCounter element.
Methods in org.opensaml.xmlsec.encryption with parameters of type PgenCounter
Modifier and Type
Method
Description
`void`
DHKeyValue.`setPgenCounter(PgenCounter newPgenCounter)`
Set the pgenCounter element.

## Uses of PgenCounter in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement PgenCounter
Modifier and Type
Class
Description
`class`
`PgenCounterImpl`
Concrete implementation of `PgenCounter`.
Fields in org.opensaml.xmlsec.encryption.impl declared as PgenCounter
Modifier and Type
Field
Description
`private PgenCounter`
DHKeyValueImpl.`pgenCounter`
pgenCounter child element.
Methods in org.opensaml.xmlsec.encryption.impl that return PgenCounter
Modifier and Type
Method
Description
`PgenCounter`
PgenCounterBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`PgenCounter`
PgenCounterBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`PgenCounter`
DHKeyValueImpl.`getPgenCounter()`
Get the pgenCounter element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type PgenCounter
Modifier and Type
Method
Description
`void`
DHKeyValueImpl.`setPgenCounter(PgenCounter newPgenCounter)`
Set the pgenCounter element.